Public Member Functions | Public Attributes | List of all members
libetonyek::KEYTransition Struct Reference

`#include <KEYTypes.h>`

## Public Member Functions
| KEYTransition ()

## Public Attributes
KEYTransitionStyleType | m_type
boost::optional< std::string > | m_name
boost::optional< bool > | m_automatic
boost::optional< double > | m_delay
boost::optional< int > | m_direction
boost::optional< double > | m_duration

## Constructor & Destructor Documentation

## ◆ KEYTransition()

libetonyek::KEYTransition::KEYTransition | ( |  | ) |

## Member Data Documentation

## ◆ m_automatic

boost::optional<bool> libetonyek::KEYTransition::m_automatic

## ◆ m_delay

boost::optional<double> libetonyek::KEYTransition::m_delay

## ◆ m_direction

boost::optional<int> libetonyek::KEYTransition::m_direction

## ◆ m_duration

boost::optional<double> libetonyek::KEYTransition::m_duration

## ◆ m_name

boost::optional<std::string> libetonyek::KEYTransition::m_name

## ◆ m_type

KEYTransitionStyleType libetonyek::KEYTransition::m_type

The documentation for this struct was generated from the following files:

- KEYTypes.h
- KEYTypes.cpp